This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479223 - Review Request: perl-DateTime-Format-DateParse - Parse Date::Parse compatible formats
Review Request: perl-DateTime-Format-DateParse - Parse Date::Parse compatible...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
: 640505 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 00:59 EST by Chris Weyl
Modified: 2013-06-24 06:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 17:38:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-08 00:59:54 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-DateParse.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-DateParse-0.04-1.fc10.src.rpm

Description:
This module is a DateTime compatibility wrapper around Date::Parse; it allows
one to easily parse formats Date::Parse recognises for DateTime.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1039635
Comment 1 manuel wolfshant 2009-01-09 21:35:14 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 0c7db13f1481bbb7587625d11d14f352ea6cfc8b DateTime-Format-DateParse-0.04.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [+] "make test" passes


================
*** APPROVED ***
================
Comment 2 Chris Weyl 2009-01-09 22:29:58 EST
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-DateParse
Short Description: Parse Date::Parse compatible formats
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-11 12:22:44 EST
cvs done.
Comment 4 Chris Weyl 2009-01-11 17:38:14 EST
Thanks for the review! :-)
Comment 5 Ruediger Landmann 2010-10-07 22:05:30 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-DateParse
New Branches: el5
Owners: rlandmann

Chris is currently on extended vacation from the project and not contactable, but is on record as not being interested in maintaining EPEL packages and as happy for others to maintain EPEL versions of his packages (eg #569295).
Comment 6 Kevin Fenzi 2010-10-08 16:27:38 EDT
Git done (by process-git-requests).
Comment 7 Ruediger Landmann 2010-10-29 19:55:07 EDT
*** Bug 640505 has been marked as a duplicate of this bug. ***
Comment 8 Ruediger Landmann 2013-06-24 00:00:20 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-DateParse
New Branches: el6
Owners: rlandmann

No response from Chris for 2 weeks about my taking ownership of the el6 branch; I am already the el5 owner for this package, and he is on record as not being interested in EPEL (see comment 5 above)
Comment 9 Gwyn Ciesla 2013-06-24 06:00:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.